---
title: contenteditable
slug: Web/HTML/Global_attributes/contenteditable
tags:
  - Editing
  - Global attributes
  - HTML
  - Reference
  - Text Editing
  - contenteditable
  - text entry
  - text input
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p>The <strong><code>contenteditable</code></strong> <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a> is an enumerated attribute indicating if the element should be editable by the user. If so, the browser modifies its widget to allow editing.</p>

<div>{{EmbedInteractiveExample("pages/tabbed/attribute-contenteditable.html","tabbed-shorter")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<p>The attribute must take one of the following values:</p>

<ul>
 <li><code>true</code> or an <em>empty string</em>, which indicates that the element is editable.</li>
 <li><code>false</code>, which indicates that the element is not editable.</li>
</ul>

<p>If the attribute is given without a value, like <code>&lt;label contenteditable&gt;Example Label&lt;/label&gt;</code>, its value is treated as an empty string.</p>

<p>If this attribute is missing or its value is invalid, its value is <em>inherited</em> from its parent element: so the element is editable if its parent is editable.</p>

<p>Note that although it's allowed values include <code>true</code> and <code>false</code>, this attribute is an <em>enumerated</em> one and not a <em>Boolean</em> one.</p>

<p>You can set the color used to draw the text insertion {{Glossary("caret")}} with the CSS {{cssxref("caret-color")}} property.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "editing.html#attr-contenteditable", "contenteditable")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from latest snapshot, {{SpecName("HTML5.2")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.2", "editing.html#making-document-regions-editable-the-contenteditable-content-attribute", "contenteditable")}}</td>
   <td>{{Spec2("HTML5.2")}}</td>
   <td>Snapshot of {{SpecName("HTML WHATWG")}}, no change from {{SpecName("HTML5.1")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5.1", "editing.html#making-document-regions-editable-the-contenteditable-content-attribute", "contenteditable")}}</td>
   <td>{{Spec2("HTML5.1")}}</td>
   <td>Snapshot of {{SpecName("HTML WHATWG")}}, no change from {{SpecName("HTML5 W3C")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "editing.html#attr-contenteditable", "contenteditable")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Snapshot of {{SpecName("HTML WHATWG")}}, initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.contenteditable")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/HTML/Editable_content">Making content editable</a></li>
 <li>All <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a></li>
 <li>{{domxref("HTMLElement.contentEditable")}} and {{domxref("HTMLElement.isContentEditable")}}</li>
 <li>The CSS {{cssxref("caret-color")}} property</li>
 <li><a href="/en-US/docs/Web/API/HTMLElement/input_event"><code>HTMLElement</code> <code>input</code> event</a></li>
</ul>
